Movesense compatible mobile devices

This page contains a list of mobile devices that have been tested for Movesense compatibility.

Please note that the content of the device list below is subject to change and we reserve the right to add or remove devices from the list without prior notice. Such changes may occur when new version of Movesense firmware or mobile library is released, mobile operating system is updated or new bugs affecting certain phone models are discovered.

Test setup

Important: Compatibility tests are performed using our publicly available Movesense Sample Apps but the tests don't fully guarantee that all 3rd party Movesense applications will work on a given phone model. Therefore, if you experience different behaviour on any of the devices listed below, please report them on Bitbucket.

Android

Test consists of manually verifying that all features of the sample app work and that the sensor is able to recover from most common error cases, such as interrupted connection. NOTE: Android mobile library support for Android versions lower than 5.0 has ended!

Test setup:

Tested devices

List updated on Jan 10th 2020.

Device model OS version Compatible with Movesense Remarks
Google Pixel 3a 10.0.0 YES
Google Nexus 6 7.1.1 NO
Google Nexus 5 6.0.1 SLOW Very slow (BLE 4.0)
HTC Desire 530 6.0.1 YES
HTC One M8 6.0 YES
Huawei nova 2s 9.0.0 YES* Limited multisensor connection
Huawei P10 Plus 9.0.0 YES
Huawei P9 Lite 6.0.0 YES
Huawei Enjoy 9 8.1.0 YES
Huawei Honor 8 8.0.0 YES
Huawei Honor 8 Lite 8.0.0 NO
Huawei Mate 8 8.0.0 YES
Huawei Honor 7 6.0.0 SLOW Very slow (BLE 4.0)
Huawei Honor 6A 7.0.0 YES
LG G3 6.0.0 YES
LG G2 5.0.2 SLOW Connection issues, very slow (BLE 4.0)
OnePlus 5 9.0.0 YES
OPPO A5 8.1.0 YES
OPPO K1 8.1.0 YES
OPPO R15 8.1.0 YES
Redmi Note 5 9.0.0 YES
Samsung Galaxy J3 9.0.0 YES
Samsung Galaxy Note8 9.0.0 YES
Samsung Galaxy S8 9.0.0 YES
Samsung Galaxy S7 edge 8.0.0 YES
Samsung Galaxy A5 (2016) 7.1.1 YES
Samsung Galaxy Note4 6.0.1 YES
Samsung Galaxy J5 5.1.0 YES
Samsung Galaxy A3 5.0.2 YES
Samsung Galaxy S6 5.0.2 YES
Samsung Galaxy S6 edge 5.0.2 YES
Samsung Galaxy Note3 5.0.0 SLOW Very slow (BLE 4.0)
Samsung Galaxy S5 6.0.1 SLOW Very slow (BLE 4.0)
Samsung Galaxy S5 mini 6.0.1 SLOW Very slow (BLE 4.0)
Sony Xperia XA2 9.0.0 YES
Sony Xperia XZ Premium 9.0.0 YES
Sony Xperia Z2 6.0.1 SLOW Very slow (BLE 4.0)
Sony Xperia Z3 6.0.1 SLOW Very slow (BLE 4.0)
vivo X21A 9.0.0 YES
vivo Z3 8.1.0 YES
Xiaomi Mi 8 SE 9.0.0 YES
Xiaomi Mi 4 6.0.1 YES

iOS

For iOS, MDSlib (and Movesense ShowcaseApp) is cabable of working with iPhones 5S upwards.

Test Setup:

Tested Devices

Device model OS version Compatible with Movesense Remarks
iPhone X 13.2 Beta YES
iPhone 6S 12.2 YES
iPhone 6 12.2 YES